Redmine - Feature #23137

Completed versions on Roadmap: Sort it so that recently created versions are on top
2016-06-22 12:01 - Robert Schneider

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Roadmap Estimated time: 0.00 hour
Target version: 3.4.0

Resolution: Fixed

Description

Currently, the expandabile list of completed versions in the right panel of the Roadmap seems to be ordered by creation time
(ascending). Could this be changed so that recently created versions are not at the end, rahter on the beginning of this list? It is very
likely (esp. with the Redmine project!) that | want to have a look at a newer version, and not a version from five years ago.

Related issues:
Related to Redmine - Feature #4519: Target version pulldown should sort in de... New 2010-01-04

Associated revisions

Revision 16088 - 2016-12-18 09:34 - Jean-Philippe Lang

Sort completed versions in reverse order on the roadmap (#23137).

History

#1 - 2016-06-27 13:31 - Tobias Fischer

+1

#2 - 2016-09-20 19:27 - Marius BALTEANU

- File latest_completed_versions_first.patch added

Totally agree that is useful to see the latest completed versions first. I've attached a small patch that implements this.

#3 - 2016-09-21 13:50 - Robert Schneider
Wow, such a little change is required. Thank you, Marius!
Could it be considered to insert into Redmine? Doesn't need a test, IMO.

#4 - 2016-09-22 07:47 - Toshi MARUYAMA

- Target version set to 3.4.0

#5 - 2016-09-22 09:46 - Anonymous

+1

Agreed that this can be a helpful addition to the roadmap. However, the change in sorting order should not be hardcoded, but rather be presented as
an option to the user in the roadmap.

#6 - 2016-10-30 11:50 - Tobias Fischer

This would be also very useful for custom fields with version model. E.g. for an "Affected version" custom field.

#7 - 2016-10-30 17:18 - Marius BALTEANU
- File roadmap_sidebar.png added

Tobias Fischer wrote:

This would be also very useful for custom fields with version model. E.g. for an "Affected version" custom field.

This feature request changes only the order in which the versions are displayed in the sidebar (attached a print screen). Regarding your request, |
think that it should be filled in a new issue.

#8 - 2016-12-18 09:35 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Change done in r16088 (on the controller side), thanks.

#9 - 2016-12-23 06:23 - Go MAEDA

- Related to Feature #4519: Target version pulldown should sort in descending order added

Files
latest_completed_versions_first.patch 859 Bytes 2016-09-20 Marius BALTEANU
roadmap_sidebar.png 39.8 KB 2016-10-30 Marius BALTEANU

2025-07-15 22


https://www.redmine.org/projects/redmine/repository/svn/revisions/16088
http://www.tcpdf.org

